USRP Hardware Driver and USRP Manual: uhd::features::internal_sync_iface Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::features::internal_sync_iface Class Referenceabstract

`#include <uhd/features/internal_sync_iface.hpp>`

Inheritance diagram for uhd::features::internal_sync_iface:

## Public Types
using | sptr = std::shared_ptr<internal_sync_iface>
Public Types inherited from uhd::features::discoverable_feature
enum | feature_id_t { RESERVED0 , RESERVED1 , FPGA_LOAD_NOTIFICATION , ADC_SELF_CALIBRATION , REF_CLK_CALIBRATION , TRIG_IO_MODE , GPIO_POWER , SPI_GETTER_IFACE , INTERNAL_SYNC , GPS }
| An enum of all features supported by the driver. When creating a new. More...
using | sptr = std::shared_ptr<discoverable_feature>

## Public Member Functions
std::string | get_feature_name () const
| Returns a human-readable string name of this feature.
virtual | ~internal_sync_iface ()=default
virtual void | enable_sync_clk ()=0
virtual void | disable_sync_clk ()=0
Public Member Functions inherited from uhd::features::discoverable_feature
virtual | ~discoverable_feature ()=default

## Static Public Member Functions
static discoverable_feature::feature_id_t | get_feature_id ()

## Detailed Description

This feature provides access to the internal sync feature of the X440.

## Member Typedef Documentation

## ◆ sptr

using uhd::features::internal_sync_iface::sptr = std::shared_ptr<internal_sync_iface>

## Constructor & Destructor Documentation

## ◆ ~internal_sync_iface()

virtual uhd::features::internal_sync_iface::~internal_sync_iface | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ disable_sync_clk()

virtual void uhd::features::internal_sync_iface::disable_sync_clk | ( |  | ) |
| pure virtual

Disables the internal 5 MHz sync clock

## ◆ enable_sync_clk()

virtual void uhd::features::internal_sync_iface::enable_sync_clk | ( |  | ) |
| pure virtual

Enables the internal 5 MHz sync clock which can be accessed on antenna name SYNC_INT.

## ◆ get_feature_id()

discoverable_feature::feature_id_t uhd::features::internal_sync_iface::get_feature_id | ( |  | ) |
| inlinestatic

## ◆ get_feature_name()

std::string uhd::features::internal_sync_iface::get_feature_name | ( |  | ) | const
| inlinevirtual

Returns a human-readable string name of this feature.

Implements uhd::features::discoverable_feature.

The documentation for this class was generated from the following file:

- internal_sync_iface.hpp